array File Reference

Go to the source code of this file.

## Classes

struct | std::array< _Tp, _Nm >
struct | std::tuple_element< _Int, _Tp >
struct | std::tuple_element< _Int, ::array< _Tp, _Nm > >
struct | std::tuple_size< _Tp >
struct | std::tuple_size<::array< _Tp, _Nm > >

## Namespaces

| std

## Macros

#define | _GLIBCXX_ARRAY

## Functions

template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr _Tp && | std::get (array< _Tp, _Nm > &&__arr) noexcept
template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr _Tp & | std::get (array< _Tp, _Nm > &__arr) noexcept
template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr const _Tp & | std::get (const array< _Tp, _Nm > &__arr) noexcept
template<typename _Tp , std::size_t _Nm>
bool | std::operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , std::size_t _Nm>
bool | std::operator< (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
template<typename _Tp , std::size_t _Nm>
bool | std::operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , std::size_t _Nm>
bool | std::operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , std::size_t _Nm>
bool | std::operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , std::size_t _Nm>
bool | std::operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , std::size_t _Nm>
enable_if< !::__array_traits< _Tp, _Nm >::_Is_swappable::value >::type | std::swap (array< _Tp, _Nm > &, array< _Tp, _Nm > &)=delete
template<typename _Tp , std::size_t _Nm>
enable_if< ::__array_traits< _Tp, _Nm >::_Is_swappable::value >::type | std::swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two) noexcept(noexcept(__one.swap(__two)))

## Detailed Description

This is a Standard C++ Library header.

Definition in file array.